function [ slids,uni_sortedLIDS ] = getFirstIntFromFile( fpath , verbase )
% function [ slids,uni_sortedLIDS ] = getFirstIntFromFile( fpath )

if nargin < 1
    error('invalid');
elseif nargin == 1
    verbase=0;
end

ll_fin = fopen(fpath);

C = textscan(ll_fin, '%s %*s %*s %*s');
fclose(ll_fin); 

id_str=strrep(C{1}, ',', '');

slids=cellfun(@(x)str2num(x),id_str,'UniformOutput', false);

empFlag=cellfun(@(x)isempty(x),slids);
slids=slids(~empFlag);


slids=cell2mat(slids);

uni_sortedLIDS = sort( unique( slids ) , 'ascend');
 
if verbase
    fprintf('got num of lids = %d \n', numel(slids));
end

end

