%%
%pwd

if ~exist('gValue','var')
    %%
    sdef=sa_tool.path_def();
    LABELED_DATASET_PATH = sdef.path_nyud2;

    if ~exist(LABELED_DATASET_PATH,'file')
        
		error('ERROR cannot locate nyu_depth_v2_labeled.mat ');
    end
	
    matobj = matfile(LABELED_DATASET_PATH);
    
    %% add some useful constant into global struct
    
    gValue=struct();
    gValue.rawRgbFilenames = matobj.rawRgbFilenames;
    gValue.sceneTypes = matobj.sceneTypes;
    gValue.scenes = matobj.scenes;
    gValue.names=matobj.names;
    gValue.matobj = matobj;
    
    clear('matobj');
    
    gValue.NUM_OF_IMG = length( gValue.rawRgbFilenames );
    gValue.NUM_OF_LABEL = numel( gValue.names );
    
    
    fprintf('--gValue setting done--\n');
    fprintf('--loading done--\n');
else
    fprintf('--gValue already loaded--\n');
end
%%  establsih fast scene type index


% USE 'find(ismember( sc,'bedroom'))' instead followng things
%
% % first sorting it
% [ sort_sc , sidx ] = sort( gValue.sceneTypes ) ;
%
% % got the correct begin index in sorted order
% % so the back query => sort_sc( ia(i) ) --> real index on images
% % traving all specail type of scene by the [ia] and [sidx];
% [ uniScene , ia, ~ ] =unique( sort_sc , 'stable' );
%
% gValue.sceneTypeTraver = struct;
%
% gValue.sceneTypeTraver.sortedIdx = sidx;
% gValue.sceneTypeTraver.beginIdx = ia;
% gValue.sceneTypeTraver.beginSceneName = uniScene;
%
% clear sort_sc sidx uniScene ia ic


