#pragma once
 
#include "boxdatav2.h"
#include "common_tool.h"
#include "geoobj.h"

 #include <deque>
#include <pcl/io/pcd_io.h>
#include <Eigen/Eigen>
#include <QImage>

#include <boost/geometry/geometry.hpp> 
#include <boost/geometry/geometries/point_xy.hpp>
#include <boost/geometry/geometries/polygon.hpp>

typedef pcl::PointCloud<pcl::PointXYZ> PointCloudXYZ;

namespace bg = boost::geometry; 

typedef bg::model::point<float, 2, bg::cs::cartesian> BGPoint; 
typedef bg::model::polygon<BGPoint, false, true> BGPolygon; // ccw, open polygon






















