#include "stdafx.h"
 
#include "fcglpanel.h"
#include <exception>  

//-------------------------------------------------------------------------

//Tirth::QuickGLPanel *controlPanel = new Tirth::QuickGLPanel();
//Tirth::QGLPanel *controlPanel = new Tirth::QGLPanel();

//-------------------------------------------------------------------------
 
int qmlMode(int argc, char *argv[]){

	QApplication app(argc, argv); 

	//qmlRegisterSingletonType<Tirth::QuickGLPanel>("Tirth.GLPanel", 1, 0, "MyPanel", quickPanel_singletontype_provider);
	//qmlRegisterSingletonType<Tirth::QGLPanel>("Tirth.GLPanel", 1, 0, "MyPanel", quickPanel_singletontype_provider);

	//qmlRegisterType<FboInSGRenderer>("Tirth.FBO", 1, 0, "MyFBOItem");
	qmlRegisterType<Tirth::FCGLPanel>("Tirth.GLPanel", 1, 0, "MyPanel"); 

	QQmlApplicationEngine engine(QUrl::fromLocalFile("../qml/main_fc.qml")); 


	QObject *topLevel = engine.rootObjects().value(0);
	QQuickWindow *window = qobject_cast<QQuickWindow *>(topLevel);

	//window->resetOpenGLState();
	/*
	//link ctx
	QObject * myfbo = topLevel->findChild<QObject*>(QString("myFBO"),Qt::FindChildrenRecursively);
	FboInSGRenderer * myfbo_inst = qobject_cast<FboInSGRenderer*>(myfbo);
	myfbo_inst->ctx = controlPanel->getCtx();
	*/
	//fboItem->iniFBO(640,480,window);

	if ( window ){ 
		window->show();
		return app.exec();  
	}else{
		qWarning("Error: Your root item has to be a Window."); 
		return -1;
	}


}

 

int main(int argc, char *argv[])
{  
	 
	if( argc>1 && 0==strcmp(argv[1],"-txt") ){
		std::string tms = getTimestamp();

		tms = tms +"_stdout.txt";
		std::fstream fout(tms.c_str(),std::fstream::out);
		fout.close();
		std::fstream out(tms.c_str());
		std::streambuf *coutbuf = std::cout.rdbuf(); //save old buf

		//redirect std::cout to out.txt!
		std::cout.rdbuf(out.rdbuf()); 
		std::cerr<<"redirect std::cout to [stdout.txt]\n"<<std::endl;	


		//std::cin.rdbuf(cinbuf);   //reset to standard input again
		//std::cout.rdbuf(coutbuf); //reset to standard output again

		return qmlMode(argc, argv);

	}else{
		return qmlMode(argc, argv);

	}

	 

}
