#ifndef QUICKGLPANEL_H
#define QUICKGLPANEL_H

#include <QObject>
#include <QQuickPaintedItem>
#include <QImage> 
#include "texturenode.h"

namespace Tirth{

class QuickGLPanel : public QQuickPaintedItem
{
	Q_OBJECT

public:
	QuickGLPanel(QQuickPaintedItem  *parent=0);
	~QuickGLPanel();

	virtual void paint(QPainter * painter) ;

	Q_INVOKABLE QList<QString> getList(); 

public slots:
	void mousePressEvent(int x,int y,int BUTTON );
	void mouseReleaseEvent(int x,int y,int BUTTON );
	void mouseMoveEvent(int x,int y );
	void mouseEnter();
	void mouseLeave();
	void openBtuClicked();
	void sync();
	void cleanup();
	 
 
private: 
	QImage bk;

};


};


#endif // QUICKGLPANEL_H
