#include "textloader.h"


TextCtxLoader::TextCtxLoader(void)
{
}


TextCtxLoader::~TextCtxLoader(void)
{
}

void TextCtxLoader::load( const char* FPATH )
{
	// reset
	tctx = TextCTX();

	std::fstream fin(FPATH,std::fstream::in);
	
	if( fin.is_open() ){

		std::string t_head;

		while(fin>>t_head){
			if(t_head[0]=='#'){
				continue;
			}else if( t_head == "imid" ){
				fin>>tctx.imid;

			}else if(t_head == "uimode" ){
			
				fin>>tctx.isUIMode;

			}else if(t_head == "all_modelPath" ){

				fin>>tctx.all_modelPath;

			}else if(t_head == "floor_modelPath" ){

				fin>>tctx.floor_modelPath;

			}else if(t_head == "obj_modelPath" ){

				fin>>tctx.obj_modelPath;

			}else if(t_head == "wall_modelPath" ){

				fin>>tctx.wall_modelPath;

			}else if(t_head == "showStructure"){

				fin>>tctx.showStructure;

			}else if(t_head == "batchfpath" ){

				fin>>tctx.batchFPath;

			}else if(t_head == "freqModelPath" ){

				fin>>tctx.freqModelPath;

			}else if(t_head == "annoresSavePath" ){

				fin>>tctx.annoresSavePath;

			}else if(t_head == "targetLIDList" ){

				fin>>tctx.targetLIDList;

			}else if(t_head == "us_trial_sidlist" ){				
				fin>>tctx.us_trial_sidlist;

			}else if(t_head == "batch_force_rerun" ){				
				fin>>tctx.batch_force_rerun;

			}else if(t_head == "batch_skip_exist" ){				
				fin>>tctx.batch_skip_exist;

			}else if(t_head == "black_list" ){				
				fin>>tctx.black_list;

			}else if(t_head == "db_root" ){				
				fin>>tctx.db_root;

			}else if(t_head == "rerun_dir" ){
				fin>>tctx.rerun_dir;

			}else if(t_head == "rerun_save_dir" ){
				fin>>tctx.rerun_save_dir;

			}else if(t_head == "log_savePath" ){
				fin>>tctx.log_savePath;

			}else if(t_head == "input_bin_dir" ){
				fin>>tctx.input_bin_dir;

			}else if(t_head == "mode" ){
				fin>>tctx.mode;
			 
			}else if(t_head == "auto_seg_root" ){
				fin>>tctx.auto_seg_root;

			}else if(t_head == "use_auto_seg" ){
				fin>>tctx.use_auto_seg;

			}else if(t_head == "end" ){
				break;
			}
		}

	}else{
		std::cout<<"open failed:"<<FPATH<<"\n";
	}
}
