function [ reboxPts3 , center] = cenTx( matx  , bPts ,center  )
% [ reboxPts3 , center] = cenTx( matx  , bPts ,center  )
%
%
if nargin < 2
    error('invalid');
elseif nargin ==2
    %fprintf(' automatically calculate center tx\n');    
    center = sum( bPts ) / size(bPts,1 );
end 

assert( size( bPts , 2 ) == 3 ) ;

if size( matx, 1 ) == 3 && size( matx, 3 ) 
%    warning(  '** tx has been extend to 4x4 matrix** ');
    
    m44 = eye(4);
    m44(1:3,1:3) = matx;
else 
    m44 = matx;
end

assert( size( m44, 1 ) == 4 && size( m44, 2 ) == 4 );

% bPts - N x 3

reboxPts3 = bPts;

% rm tx
 
% 
% tx2center * affine_tx * -tx2center 
% 
cx = eye(4);
cx( 1:3 , 4 ) = center;

inv_cx = cx;
inv_cx(1:3,4) = inv_cx(1:3,4) * -1;

matx = cx * m44 * inv_cx ;

bPts4 = [ bPts , ones( size(bPts,1) ,1 ) ];

bPts4 = ( matx * bPts4'  )';

% bPts4 : Nx4
for i=1:size(bPts4, 1 )
    
    reboxPts3( i , : ) = bPts4( i , 1:3 ) / bPts4( i , 4 );
    
end


end

