function [ b2d ] = drawBox3dOnImg( b3dw , fhandle , varargin )
% use fullsize world space (480x640)
% 
% 

if nargin < 1
    error('invalid')
elseif nargin ==1
    drawmode=0;
elseif nargin>=2 && ~isempty(fhandle)
    drawmode=1;
end

[xx,yy]= my_rgb_world2rgb_plane( b3dw );

b2d=[xx,yy];

if drawmode
    figure(fhandle)
    
    hold on;
    sa_tool.draw2dBBox(b2d,varargin{:});
    
end

 
end

