#pragma once


#include <vector> 

#include "boxdatav2.h"
#include "common_tool.h"
#include "box_serializer.h"
#include "geoobj.h"

#include <iostream>
#include <fstream>
#include <boost/archive/binary_oarchive.hpp>
#include <boost/archive/binary_iarchive.hpp>
#include <boost/serialization/version.hpp>
#include <boost/serialization/vector.hpp>    


void saveAnno2File(const std::string & FPATH , AnnoRes & anno);

void loadAnnoFile(const std::string & FPATH, AnnoRes & anno);


void collectAnnoData(std::string ppath,std::string logSavPath);

void collectAnnoData_time(std::string ppath);

void collectAnnoData__v3(std::string ppath , std::string const & SAVEPATH);

void collectAnnoData_time_v3(std::string ppath , std::string const & SAVEPATH);