 
#ifndef FBOINSGRENDERER_H
#define FBOINSGRENDERER_H

#include <QObject>
#include <QQuickItem>
#include "texturenode.h"
#include "statemag.h"

// a wrapper class to embedded OGL_FBO_TEXTURENODE
class FboInSGRenderer : public QQuickItem
{
    Q_OBJECT

public:
    FboInSGRenderer();
	~FboInSGRenderer();

	void iniFBO(int w,int h, QQuickWindow * win);

	Q_INVOKABLE void iniFBO(int w,int h);

	Tirth::StateMag * ctx;

protected:
    QSGNode *updatePaintNode(QSGNode *, UpdatePaintNodeData *);

private:
	int fboWidth;
	int fboHeight;
	TextureNode* texNode;
};

#endif
