#include "geoobj.h"



void AnnoRes::printInfo(){

	// annotation log and timing
	std::cout<<"TOTAL TIME:"<<total_time<<"(s)\n";

	// display current log
	for( size_t i=0 ; i < action_log.size() ;i++ ){

		std::cout<<"LOG["<<i<<"]\n";

		std::cout<<"\tboxState:";
		for( size_t il=0 ; il < action_log[i].boxState.size() ; il++ ){
			std::cout<<action_log[i].boxState[il]<<",";
		}
		std::cout<<"\n\tcurResult:";
		for( size_t il=0 ; il < action_log[i].boxState.size() ; il++ ){
			std::cout<<action_log[i].predRes[il]<<",";
		}
		std::cout<<"\n\n";
	}

}

AnnoRes::AnnoRes():
	total_time(0),
	time_support(0),
	time_box(0),
	time_label(0),
	sce_id(0)
{

}

 