#include "pcd_boxquality_tool.h"


// pcd_widx - defined original world space index and save filted world space index
bool voxelFiltering( 
					pcl::PointCloud<pcl::PointXYZ>::ConstPtr clound_in,
					float leaf_size,
					pcl::PointCloud<pcl::PointXYZ>::Ptr cloud_filtered
					 )
{

	//pcl::PointCloud<pcl::PointXYZ>::Ptr clound_in (new pcl::PointCloud<pcl::PointXYZ>());
	//pcl::PointCloud<pcl::PointXYZ>::Ptr cloud_filtered (new pcl::PointCloud<pcl::PointXYZ>());

	// filter-out pts via 'map'
	//pcl::copyPointCloud(*PCD_ALL_WSPACE_IN , pcd_widx , *clound_in); 
	 
	// Create the filtering object
	pcl::VoxelGrid<pcl::PointXYZ> sor;


	sor.setInputCloud(clound_in);

	//float leaf_size=0.05f;
	sor.setLeafSize (leaf_size,leaf_size,leaf_size);
	
	// do action
	sor.filter(*cloud_filtered); 

	auto const & OUTLIER_IDX=sor.getRemovedIndices();
	int result_num = cloud_filtered->size();
	double remfilted_ratio = cloud_filtered->size()/clound_in->size();

	// if not too few but the ratio is too small
	if( result_num > 200 && remfilted_ratio < 0.1 ){ 

		sor.setInputCloud(clound_in);

		//float leaf_size=0.05f;
		leaf_size=leaf_size*1.2;
		sor.setLeafSize (leaf_size,leaf_size,leaf_size);

		// do action
		sor.filter(*cloud_filtered); 
		result_num = cloud_filtered->size();
		remfilted_ratio = cloud_filtered->size()/clound_in->size();

 
		return 1;
	}else{


	}
 

	return  result_num > 200 ;
	//-------------------------------------------------------------------------
	
	/*
	std::vector<int> outIdx(OUTLIER_IDX->size());

	for( int iv=0 ; iv < OUTLIER_IDX->size() ;iv++ ){

		outIdx.push_back( (*OUTLIER_IDX)[iv] );
	} 
	// sort in 'ascend' order
	std::sort(outIdx.begin(),outIdx.end());

	std::vector<int> input_widx(pcd_widx);

	filed_widx.clear();


	// sort in 'ascend' order
	std::sort(input_widx.begin(),input_widx.end());

	filed_widx.resize(pcd_widx.size());
	// assume idx is unique
	// F = A-B
	auto it=std::set_difference(input_widx.begin(),input_widx.end(),outIdx.begin(),outIdx.end(),filed_widx.begin());
	
	filed_widx.resize(it-filed_widx.begin());
	*/

	// check remaining number of pts
}
