import QtQuick 2.0
import QtQuick.Controls 1.2
import QtQuick.Layouts 1.0
import QtQuick.Controls.Styles 1.0

Button {

    property color c1:"#aaa"
    property color c2:"#ccc"
    property color c3:"#ddd"
    property color c4:"#ccc"

    style: ButtonStyle {

        background: Rectangle {
            implicitWidth: 60
            implicitHeight: 60
            border.width: control.activeFocus ? 2 : 1
            border.color: "#888"
            radius: 4
            gradient: Gradient {
                GradientStop { position: 0 ; color: control.pressed ? c2 : c3 }
                GradientStop { position: 1 ; color: control.pressed ? c1 : c4 }
            }
        }
    }


}
