import QtQuick 2.1


Item {
	id : root
	
    width: 100
    height: 100 
	property string labelName
	

	Rectangle{		
		id : container
		anchors.fill: parent
        color: "blue"
		opacity: mouse.mEntered ? 1 : 0.5
		width:root.width
		height:root.height
        Behavior on opacity {
            NumberAnimation { duration: 300 }
        }
		
        MouseArea { 
			id: mouse
			anchors.fill: parent 			
            property bool mEntered : false
			hoverEnabled: true
			acceptedButtons: Qt.LeftButton | Qt.RightButton
            onEntered:{
				mEntered=true;
			}
            onExited:{
				mEntered=false;
			}
		}
		
		Text {
			id: textitem
			color: "black"
			font.pixelSize: 13
			text: root.labelName
			anchors.verticalCenter: parent.verticalCenter
			anchors.left: parent.left 
		}
	}
	
	
	
}
